# $Revision: 1.36 $, $Date: 2007/01/23 15:47:01 $
# TODO
# - Cannot load mod_auth_samba.so into server: mod_auth_samba.so: undefined symbol: dbm_fetch
%define		mod_name	auth_samba
%define 	apxs	/usr/sbin/apxs1
Summary:	This is the samba authentication module for Apache
Summary(pl):	Modu uwierzytelnienia samba dla Apache
Name:		apache1-mod_%{mod_name}
Version:	1.1
Release:	4
Epoch:		1
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/modauthsamba/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	9478a055e5cedd8c00beaed83d324240
Patch0:		%{name}-symbol_fix.patch
URL:		http://modauthsamba.sourceforge.net/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	gdbm-devel
BuildRequires:	pam-devel
BuildRequires:	pam-pam_smb
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Requires:	pam-pam_smb
Obsoletes:	apache-mod_auth_samba <= 1:1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define		_noautoreq	/%{_lib}/security/pam_smb_auth.so

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using user entries in an samba directory.

%description -l pl
To jest modu uwierzytelnienia dla Apache pozwalajcy na
uwierzytelnianie klientw HTTP z uyciem wpisw w katalogu samby.

%prep
%setup -q -n mod_%{mod_name}
%patch0 -p1

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so \
	-lgdbm -lcrypt -lpam /%{_lib}/security/pam_smb_auth.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1:1.1-2.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc *.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_auth_samba.spec,v $
Revision 1.36  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.35  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.34  2006/04/14 16:50:13  glen
- use %service

Revision 1.33  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.32  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.31  2005/02/15 12:00:45  glen
- rel 3; STBR

Revision 1.30  2005/02/10 01:48:58  glen
- confdir enabled apache1
- NOTE: dbm symbols missing

Revision 1.29  2005/01/14 23:51:24  qboosh
- _noautoreq for /_lib/security/pam_smb_auth.so (broken with (64-bit), R: pam-pam_smb
  is sufficient); release 2

Revision 1.28  2004/08/29 19:28:46  radek
- mv apache{,1}-*, release 1

Revision 1.27  2004/07/29 20:47:34  qboosh
- /lib/security -> /%{_lib}/security

Revision 1.26  2004/02/28 22:21:42  qboosh
- s/autentykacja/uwierzytelnienie/ (and other forms)

Revision 1.25  2003/11/26 11:02:13  siefca
- added Epoch tag

Revision 1.24  2003/11/26 10:58:22  siefca
- leaded common naming conventions for PAM module packages

Revision 1.23  2003/08/06 16:10:59  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.22  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.21  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.20  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:45:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/03/14 09:52:56  qboosh
- use http for sources on sourceforge

Revision 1.17  2002/08/24 21:16:48  marcus
- fixed Source0:
- rel.5.

Revision 1.16  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.15  2002/04/25 15:45:33  arturs
- fixed a small typo

Revision 1.14  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/17 21:04:54  ankry
- release 4

Revision 1.11  2002/02/17 19:04:20  ankry
- adapterized

Revision 1.10  2002/02/17 19:01:42  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.9  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/13 08:03:48  qboosh
- BuildRequires: pam_smb is back (it _is_ needed)

Revision 1.7  2001/11/10 17:04:40  kloczek
- removed pam_smb from BuildRequires rules.

Revision 1.6  2001/11/06 15:22:25  qboosh
- release 3: added %doc (one html file)

Revision 1.5  2001/10/31 16:26:39  qboosh
- release 2: fixed module linking (ugly, but works)

Revision 1.4  2001/09/11 12:26:54  qboosh
- pl translations

Revision 1.3  2001/05/28 23:52:31  kloczek
- added symbol_fix patch which allow (de)register module using apxs.

Revision 1.2  2001/05/28 20:52:31  kloczek
- spec adapterized and some cleanups.

Revision 1.1  2001/05/28 20:49:44  serek
- new & works for me.
